#!/bin/sh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# Author: Patrick Brockmann
# Contact: Patrick.Brockmann@ipsl.jussieu.fr
# $Date: 2003/03/18 12:59:25 $
# $Name: ATLAS_591_0_9 $
# $Revision: 1.1.1.2 $
# History:
# Modification:
#
#**************************************************************

input=$@
paper=-p
#frequency=1:90:10
frequency=1:40:40
your_reference_file=/directory/file.nc

# atlas -d -o Animation Animation.cfg toto



### CESM1-CAM5

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Box sensitivity" -o DirOut BoxChoice.jnl 'thetao CESM1-CAM5 Mask_CESM_CAM5_RCP85_NAhole.nc "/hlim=1860:2100/vlim=-3:3" "/hlim=1860:2100/vlim=-5:5" "Y=50:70,X=-60:-10" "Y=55:63,X=-55:-20" "Y=50:70@ave,X=-60:-10@ave" "Y=55:63@ave,X=-55:-20@ave"'

echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Scenario sensitivity" -o DirOut Scenario 'CESM1-CAM5 @sbx:1 thetao "X=-55:-20" "Y=55:63" "2075" "2071" "2055"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Scenario sensitivity" -o DirOut  Scenario.jnl 'CESM1-CAM5  @sbx:5 thetao "X=-55:-20" "Y=55:63" "2075" "2071" "2055"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Scenario sensitivity" -o DirOut  Scenario.jnl 'CESM1-CAM5  @sbx:10 thetao "X=-55:-20" "Y=55:63" "2075" "2071" "2055"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Scenario sensitivity" -o DirOut  Scenario.jnl 'CESM1-CAM5  @sbx:1 so "X=-55:-20" "Y=55:63" "2075" "2071" "2055"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Scenario sensitivity" -o DirOut  Scenario.jnl 'CESM1-CAM5  @sbx:10 so "X=-55:-20" "Y=55:63" "2075" "2071" "2055"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Timing" -o DirOut Analysis.jnl '"CESM1-CAM5" "l=@sbx:10" "l=205:255" "X=-55:-20" "Y=55:63" "RCP2.6" "2071"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Timing" -o DirOut Analysis.jnl '"CESM1-CAM5" "l=@sbx:10" "l=205:255" "X=-55:-20" "Y=55:63" "RCP8.5" "2075"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Timing" -o DirOut Analysis.jnl '"CESM1-CAM5" "l=@sbx:10" "l=205:255" "X=-55:-20" "Y=55:63" "RCP4.5" "2055"'

# Vertical structure
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Stratif changes" -o DirOut VerticalStructure 'CESM1-CAM5 "X=-55:-20" "Y=55:63" "RCP2.6" "61:70"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Stratif changes" -o DirOut VerticalStructure 'CESM1-CAM5 "X=-55:-20" "Y=55:63" "RCP4.5" "61:70"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Stratif changes" -o DirOut VerticalStructure 'CESM1-CAM5 "X=-55:-20" "Y=55:63" "RCP8.5" "61:70"'


echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Stratif evol 0-500m" -o DirOut DeltaRhoStratif '"CESM1-CAM5" "20:260@sbx:1" "0:500" "500:2000" "X=-55:-20" "Y=55:63" "/hlim=1870:2100/vlim=-0.6:-0.1"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Stratif evol  0-500m" -o DirOut DeltaRhoStratif '"CESM1-CAM5" "20:260@sbx:10" "0:500" "500:2000" "X=-55:-20" "Y=55:63" "/hlim=1870:2100/vlim=-0.6:-0.1"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Stratif evol  0-100m" -o DirOut DeltaRhoStratif '"CESM1-CAM5" "20:260@sbx:1" "0:100" "100:1000" "X=-55:-20" "Y=55:63" "/hlim=1870:2100/vlim=-1.2:-0.1"'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Stratif evol  0-100m" -o DirOut DeltaRhoStratif '"CESM1-CAM5" "20:260@sbx:10" "0:100" "100:1000" "X=-55:-20" "Y=55:63" "/hlim=1870:2100/vlim=-1.2:-0.1"'

# Current
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " AMOC changes rcp26" -o DirOut AnalyseAMOCBeforeAfter2.jnl '"CESM1-CAM5" "RCP2.6" "40:60" "70:90" "[2045-2065]" "[2075-2095]" "/lev=(-INF)(-24,24,2)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key" "/lev=(-INF)(-5.5,5.5,1)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " AMOC changes rcp45" -o DirOut AnalyseAMOCBeforeAfter2.jnl '"CESM1-CAM5" "RCP4.5" "15:35" "35:55" "[2020-2040]" "[2060-2080]" "/lev=(-INF)(-24,24,2)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key" "/lev=(-INF)(-5.5,5.5,1)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " AMOC changes rcp85" -o DirOut AnalyseAMOCBeforeAfter2.jnl '"CESM1-CAM5" "RCP8.5" "45:65" "75:95" "[2050-2070]" "[2080-2100]" "/lev=(-INF)(-24,24,2)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key" "/lev=(-INF)(-5.5,5.5,1)(INF)/pal=light_centered/transpose/hlim=-40:90/line/key"'

exit


echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " BSF changes rcp26" -o DirOut AnalyseBSFBeforeAfter.jnl 'rcp26 "1:36" "38:74" "[2006-2041]" "[2043-2089]" "/lev=(-INF)(-50,50,5)(INF)/pal=light_centered" "/lev=(-INF)(-19,19,2)(INF)/pal=light_centered"'
# fichier non dispo pour autres scenarios.
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " BSF changes rcp45" -o DirOut AnalyseBSFBeforeAfter.jnl 'rcp45 "1:45" "47:91" "[2006-2050]" "[2052-2096]" "/lev=(-INF)(-50,50,5)(INF)/pal=light_centered" "/lev=(-INF)(-19,19,2)(INF)/pal=light_centered"'
#echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " BSF changes rcp85" -o DirOut AnalyseBSFBeforeAfter.jnl 'rcp85 "1:20" "22:41" "[2006-2035]" "[2037-2066]" "/lev=(-INF)(-50,50,5)(INF)/pal=light_centered" "/lev=(-INF)(-19,19,2)(INF)/pal=light_centered"'



echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Surface Current changes rcp26" -o DirOut AnalyseCurrentBeforeAfter.jnl 'rcp26 "1:204" "217:420" "k=1" "[2025-2042]" "[2043-2060]" "/hlim=280:360/vlim=20:80/length=0.2/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Surface Current changes rcp45" -o DirOut AnalyseCurrentBeforeAfter.jnl 'rcp45 "1:288" "301:588" "k=1" [2025-2050] [2051-2075] "/hlim=280:360/vlim=20:80/length=0.2/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Surface Current changes rcp85" -o DirOut AnalyseCurrentBeforeAfter.jnl 'rcp85 "1:120" "133:256" "k=1" [2025-2042] [2043-2060] "/hlim=280:360/vlim=20:80/length=0.2/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " First 500-m Current changes rcp26" -o DirOut  AnalyseCurrentBeforeAfter.jnl 'rcp26 "1:204" "217:420" "k=1:10@ave" "[2025-2042]" "[2043-2060]" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.05/XSKIP=2/YSKIP=2"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i "  First 500-m Current changes rcp45" -o DirOut AnalyseCurrentBeforeAfter.jnl 'rcp45 "1:288" "301:588" "k=1:10@ave" [2025-2050] [2051-2075] "/hlim=280:360/vlim=20:80/length=0.2/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " First 500-m  Current changes rcp85" -o DirOut AnalyseCurrentBeforeAfter.jnl 'rcp85 "1:120" "133:256" "k=1:10@ave" [2025-2042] [2043-2060] "/hlim=280:360/vlim=20:80/length=0.2/XSKIP=2/YSKIP=2" "/hlim=280:360/vlim=20:80/length=0.1/XSKIP=2/YSKIP=2"'


echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s  $frequency -i " T2m changes" -o DirOut DiffMap.jnl 'rcp26'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s  $frequency -i " T2m changes" -o DirOut DiffMap.jnl 'rcp45'
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s  $frequency -i " T2m changes" -o DirOut DiffMap.jnl 'rcp85'


# precip 
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s  $frequency -i " Precip changes" -o DirOut DiffMap.jnl 'rcp26 pr ye /pal=light_centered/lev=(-INF)(-3,3,0.4)(INF)/X=120:480 86400'
